#!/usr/bin/env bash

set -e

BASE_DIR="$( cd "$( dirname "$0" )" >/dev/null 2>&1 && pwd )"

if [ -z "${JAVA_HOME}" ]
then
  echo "Error: JAVA_HOME is not set! Giving up..." && exit -1
else
  JAVA_BASE="${JAVA_HOME}/Contents/Home/jre/lib/jli"
fi

export DYLD_LIBRARY_PATH=${BASE_DIR}/lib:${JAVA_BASE}

"${BASE_DIR}/bin/isp_field_extractor" --dfdl4s "${BASE_DIR}" "$@" 2> /dev/null
